/**
 * Driver for Horstmann's Java Concepts for AP Computer Science
 * Exercise R5.15, page 224: LineTest.java.
 * @author C. D'Arcy
 */

public class LineTest {
	
  public static void main(String[] args) {
		
    // Define some linear functions...
    Line l1 = new Line(3, 1, 2);
    Line l2 = new Line(1, 2, 3, 8);
    Line l3 = new Line(3, 0.5);
    Line l4 = new Line(1.5, -2);

    // Define some linear non-functions...
    Line l5 = new Line(-1);
    Line l6 = new Line(1);
			
    // Publish the set of linear relations...
    System.out.printf("Equation of Line: %s\t(l1)\n",l1);
    System.out.printf("Equation of Line: %s\t(l2)\n",l2);
    System.out.printf("Equation of Line: %s\t(l3)\n",l3);
    System.out.printf("Equation of Line: %s\t(l4)\n",l4);
    System.out.printf("Equation of Line: %s\t(l5)\n",l5);
    System.out.printf("Equation of Line: %s\t\t(l6)\n",l6);

    System.out.println("\nRESULTS: equals(=), parallel(||), intersects(x)");
    
    // Create a test harness to confirm Line's boolean methods of interaction...
    System.out.println("\nl1 = l1? " + l1.equals(l1));
    System.out.println("l1 || l1? " + l1.isParallel(l1));
    System.out.println("l1 x l1? " + l1.intersects(l1));

    System.out.println("\nl1 = l2? " + l1.equals(l2));
    System.out.println("l1 || l2? " + l1.isParallel(l2));
    System.out.println("l1 x l2? " + l1.intersects(l2));

    System.out.println("\nl1 = l3? " + l1.equals(l3));
    System.out.println("l1 || l3? " + l1.isParallel(l3));
    System.out.println("l1 x l3? " + l1.intersects(l3));

    System.out.println("\nl1 = l4? " + l1.equals(l4));
    System.out.println("l1 || l4? " + l1.isParallel(l4));
    System.out.println("l1 x l4? " + l1.intersects(l4));

    System.out.println("\nl1 = l5? " + l1.equals(l5));
    System.out.println("l1 || l5? " + l1.isParallel(l5));
    System.out.println("l1 x l5? " + l1.intersects(l5));

    System.out.println("\nl5 = l5? " + l5.equals(l5));
    System.out.println("l5 || l5? " + l5.isParallel(l5));
    System.out.println("l5 x l5? " + l5.intersects(l5));

    System.out.println("\nl5 = l6? " + l5.equals(l6));
    System.out.println("l5 || l6? " + l5.isParallel(l6));
    System.out.println("l5 x l6? " + l5.intersects(l6));

  }
	
}
